package app

import (
	"Panel_development/app/routers"
	"Panel_development/global"
	"github.com/gin-gonic/gin"
)

func InitRouter() error {
	engine := gin.New()

	gin.SetMode(global.ServerSetting.Mode)
	routers.ComponentClassRouter(engine)
	routers.ComponentListRouter(engine)
	return engine.Run(global.ServerSetting.Port)
}
