package routers

import (
	"Panel_development/app/controller"
	"github.com/gin-gonic/gin"
)

func ComponentClassRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.GET("/componentclass", controller.GetComponentClassify)
	group.POST("/addcomponentclass", controller.AddComponentClassify)
	group.DELETE("/componentclass", controller.DeleteComponentClassify)
	group.PUT("/componentclass", controller.UpdateComponentClassify)
}
