package routers

import (
	"Panel_development/app/controller"
	"github.com/gin-gonic/gin"
)

func ComponentListRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.GET("/componentList", controller.GetComponentList)
	group.POST("/componentall", controller.ComponentListAll)
	group.POST("/componentList", controller.AddComponentList)
	group.PUT("/componentList", controller.UpdateComponentList)
	group.DELETE("/componentList", controller.DeleteComponentList)
}
